#!/usr/bin/python

import getpass
import sys

from security.profile import get_current_profile, get_current_username, set_current_username

def prompt_for_password():
    return getpass.getpass("Password:")

def main(username):
    curr_logged_in_user = get_current_username()
    if curr_logged_in_user != username:
        print "You are not logged in."
    else:
        password = prompt_for_password()
        prof = get_current_profile()
        prof.encrypt(password)
        set_current_username("")

if __name__ == "__main__":
    username = sys.argv[1]
    main(username)
