#!/usr/bin/python

import sys

from security.profile import get_current_profile

def main(username, pubkey_filename):
    prof = get_current_profile()
    with open(pubkey_filename) as fh:
        pubkey = fh.read()
    prof.rsa_set_user_pubkey(username, pubkey)

if __name__ == "__main__":
    username = sys.argv[1]
    pubkey_filename = sys.argv[2]
    main(username, pubkey_filename)
